# Module selenium-webdriver/testing/assert

code »

Defines a library that simplifies writing assertions against promised values.

> NOTE: This module is considered experimental and is subject to change, or removal, at any time!

Sample usage:

     var driver = new webdriver.Builder().build();
     driver.get('http://www.google.com');

     assert(driver.getTitle()).equalTo('Google');

## Main

assert ( value ) ⇒ `!webdriver.testing.Assertion`

Parameters

value: `*`
  The value to perform an assertion on.

Returns

The new assertion.

Show:PublicProtectedPrivate

## Functions

code » register ( name, matcherTemplate )

Registers a new assertion to expose from the `webdriver.testing.Assertion` prototype.

Parameters

name: `string`
  The assertion name.
matcherTemplate: `(function(new: goog.labs.testing.Matcher, *)|{matches: function(*): boolean, describe: function(): string})`
  Either the matcher constructor to use, or an object literal defining a matcher.